所需权限:
actor:modify路径参数
string
required
Actor ID
请求体
string
更新后的显示名称。
string
更新后的描述。
object
更新后的元数据。将替换整个元数据对象——如果您想保留现有键,请在发送前先在本地合并。
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/actors/act-a1b2c3d4e5f6' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"display_name": "Alice Chen (VIP)",
"metadata": {
"tier": "enterprise",
"region": "us-west",
"account_manager": "bob@example.com"
}
}'
{
"success": true,
"data": {
"id": "act-a1b2c3d4e5f6",
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen (VIP)",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "enterprise",
"region": "us-west",
"account_manager": "bob@example.com"
},
"created_at": "2025-03-10T08:00:00Z",
"updated_at": "2025-06-15T11:20:00Z"
}
}
更新 Actor 的显示名称、描述或元数据
PATCH /openapi/memorylake/api/v3/actors/{id}
actor:modifycurl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/actors/act-a1b2c3d4e5f6' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"display_name": "Alice Chen (VIP)",
"metadata": {
"tier": "enterprise",
"region": "us-west",
"account_manager": "bob@example.com"
}
}'
{
"success": true,
"data": {
"id": "act-a1b2c3d4e5f6",
"custom_id": "user-ext-001",
"actor_type": "HUMAN",
"display_name": "Alice Chen (VIP)",
"description": "Primary end user for the mobile app",
"metadata": {
"tier": "enterprise",
"region": "us-west",
"account_manager": "bob@example.com"
},
"created_at": "2025-03-10T08:00:00Z",
"updated_at": "2025-06-15T11:20:00Z"
}
}